Update a Meeting Type
curl --request PATCH \
--url https://api.getnexor.ai/api/public/workflows/{id}/meeting-types/{mtId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"duration_minutes": 242,
"buffer_after_minutes": 60,
"min_notice_hours": 168,
"max_days_ahead": 183,
"event_title_template": "<string>",
"event_description_template": "<string>",
"location_details": "<string>",
"allow_overbooking": true,
"max_bookings_per_slot": 11,
"is_active": true,
"color": "<string>",
"agent_selection_criteria": "<string>"
}
'import requests
url = "https://api.getnexor.ai/api/public/workflows/{id}/meeting-types/{mtId}"
payload = {
"name": "<string>",
"description": "<string>",
"duration_minutes": 242,
"buffer_after_minutes": 60,
"min_notice_hours": 168,
"max_days_ahead": 183,
"event_title_template": "<string>",
"event_description_template": "<string>",
"location_details": "<string>",
"allow_overbooking": True,
"max_bookings_per_slot": 11,
"is_active": True,
"color": "<string>",
"agent_selection_criteria": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
duration_minutes: 242,
buffer_after_minutes: 60,
min_notice_hours: 168,
max_days_ahead: 183,
event_title_template: '<string>',
event_description_template: '<string>',
location_details: '<string>',
allow_overbooking: true,
max_bookings_per_slot: 11,
is_active: true,
color: '<string>',
agent_selection_criteria: '<string>'
})
};
fetch('https://api.getnexor.ai/api/public/workflows/{id}/meeting-types/{mtId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"meeting_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"duration_minutes": 123,
"buffer_after_minutes": 123,
"min_notice_hours": 123,
"max_days_ahead": 123,
"event_title_template": "<string>",
"event_description_template": "<string>",
"location_type": "video",
"video_provider": "google_meet",
"location_details": "<string>",
"allow_overbooking": true,
"max_bookings_per_slot": 123,
"color": "<string>",
"agent_selection_criteria": "<string>",
"agent_selection_rules": {},
"is_active": true
}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Update a Meeting Type
This operation lets you update a meeting type for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PATCH
/
workflows
/
{id}
/
meeting-types
/
{mtId}
Update a Meeting Type
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Workflow identifier.
Meeting type identifier.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
Required string length:
1 - 120Required range:
5 <= x <= 480Required range:
0 <= x <= 120Required range:
0 <= x <= 336Required range:
1 <= x <= 365Required string length:
1 - 300Available options:
video, phone, in_person Available options:
google_meet, teams Maximum string length:
1000Required range:
2 <= x <= 20Required string length:
1 - 40Required string length:
3 - 2000Last modified on September 8, 2026
⌘I